package com.bonait.bnframework.modules.home.fragment.mode;

import android.content.Context;
import android.content.DialogInterface;
import android.os.Handler;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.Spinner;
import android.widget.TextView;

import androidx.annotation.Nullable;
import androidx.fragment.app.FragmentManager;

import com.bonait.bnframework.R;
import com.bonait.bnframework.business.ExecuteTheRecipe;
import com.bonait.bnframework.common.db.QueryDB;
import com.bonait.bnframework.common.db.mode.BPA_MATERIAL;
import com.bonait.bnframework.common.db.mode.BPA_SILOSANDMATERIAL;
import com.bonait.bnframework.common.db.res.lcMode;
import com.bonait.bnframework.common.helper.I.IWriteCallBack;
import com.bonait.bnframework.common.helper.I.MyClickListener;
import com.bonait.bnframework.common.model.mode.ResMenuLeft;
import com.bonait.bnframework.common.utils.ToastUtils;
import com.qmuiteam.qmui.arch.QMUIFragment;
import com.qmuiteam.qmui.arch.QMUIFragmentPagerAdapter;
import com.qmuiteam.qmui.widget.QMUIViewPager;
import com.qmuiteam.qmui.widget.dialog.QMUIDialog;
import com.qmuiteam.qmui.widget.tab.QMUITabSegment;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;

public class silos_jiaoyan extends LinearLayout {
    @BindView(R.id.close_from)
    Button close_from;
    @BindView(R.id.tabs_jiaozhun)
    QMUITabSegment tabs_jiaozhun;

    @BindView(R.id.title_bc)
    TextView title_bc;

    @BindView(R.id.viewpager_jiaozhun)
    QMUIViewPager viewpager_jiaozhun;
    /**
     * 当前料仓
     */
    public lcMode lcMode = null;
    /**
     * 窗体
     */
    public FragmentManager fragmentManager;
    /**
     * 空间
     */
    public List<ResMenuLeft> froms=new ArrayList<>();
    /**
     * 点击事件
     */
    public MyClickListener mListener=null;
    private View root;
    public silos_jiaoyan(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        root= LayoutInflater.from(context).inflate(R.layout.silos_jiaoyan_item, this);
        ButterKnife.bind(this, root);
        Init();
    }


    public void Init()
    {
        //初始化界面控件的事件
        initEvent();
    }


    /**
     * 初始化数据
     */
    private void initData()
    {
        title_bc.setText(lcMode.num+" "+lcMode.materialName);
        froms.clear();
        if(lcMode.name.equals("外置仓"))
        {
            froms.add(new ResMenuLeft(null,"物料校准",0,0,true));
            froms.add(new ResMenuLeft(null,"满管校准",0,0,false));
            froms.add(new ResMenuLeft(null,"酱料校准",0,0,false));
            froms.add(new ResMenuLeft(null,"补偿校准",0,0,false));
        }else
        {
            froms.add(new ResMenuLeft(null,"物料校准",0,0,true));
            froms.add(new ResMenuLeft(null,"满管校准",0,0,false));
        }

        QMUIFragmentPagerAdapter adapter = new QMUIFragmentPagerAdapter(fragmentManager) {
            @Override
            public int getCount() {
                return froms.size();
            }

            @Override
            public QMUIFragment createFragment(int position) {
                //显示数元
                Silos_item_jiaoyan_fragment jiaoyan_fragment=new Silos_item_jiaoyan_fragment();
                jiaoyan_fragment.SetData(lcMode, froms.get(position).name);
                return jiaoyan_fragment;
            }

            @Override
            public CharSequence getPageTitle(int position) {
                return froms.get(position).name.toString();
            }
        };
        viewpager_jiaozhun.setAdapter(adapter);
        tabs_jiaozhun.setupWithViewPager(viewpager_jiaozhun, true);
    }

    private void initEvent()
    {
        //关闭窗体
        close_from.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (mListener != null) {
                    mListener.clickListenerNew(v,0,null);
                }
            }
        });
    }

    /**
     * 设置数据
     * @param
     */
    public void SetData(lcMode _lcMode, FragmentManager _fragmentManager)
    {
        this.lcMode=_lcMode;
        this.fragmentManager=_fragmentManager;

        initData();
    }

}
